Issue1063

classification
Title: RuntimeError expected when stack overflows
Type: Severity: normal
Components: Core Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: fwierzbicki Nosy List: fwierzbicki, pjenvey
Priority: Keywords:

Created on 2008-06-24.00:41:11 by pjenvey, last changed 2008-12-17.19:43:05 by fwierzbicki.

Messages
msg3303 (view) Author: Philip Jenvey (pjenvey) Date: 2008-06-24.00:41:10
2.5 test_exceptions has a testInfiniteRecursion test that expects stack 
overflows to raise a RuntimeError:

Python 2.5.2 (r252:60911, Apr 22 2008, 12:00:45) 
[GCC 4.0.1 (Apple Computer, Inc. build 5367)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
>>> def f():
...     return f()
... 
  File "<stdin>", line 2, in f
  <etc..>
  File "<stdin>", line 2, in f
RuntimeError: maximum recursion depth exceeded

We generate a Java StackOverflowError instead:

  File "<stdin>", line 2, in f
  File "<stdin>", line 2, in f
java.lang.StackOverflowError
	at java.util.HashMap.get(HashMap.java:343)
	at 
org.python.core.InternalTables.classesGet(InternalTables.java:150)
	at 
org.python.core.InternalTables.getCanonical(InternalTables.java:250)
	at org.python.core.PyJavaClass.lookup(PyJavaClass.java:51)
	at org.python.core.PyJavaInstance.<init>(PyJavaInstance.java:20)
msg3954 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2008-12-17.19:43:04
Fixed in r5774
History
Date User Action Args
2008-12-17 19:43:05fwierzbickisetstatus: open -> closed
resolution: fixed
messages: + msg3954
2008-12-17 19:30:48fwierzbickisetassignee: fwierzbicki
nosy: + fwierzbicki
2008-06-24 00:41:11pjenveycreate